/*	NAVZUP - simple backup solution for MS Dynamics Navision ZUP-files
 *	Copyright (C) 2011 David Rupprechter, rupprechter@dotlike.net, www.dotlike.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include <gtkmm.h>
#include <gtkmm/window.h>
#include <gtkmm/box.h>
#include <gtkmm/stock.h>
#include <gtkmm/button.h>
#include <gtkmm/main.h>


class Winz : public Gtk::Window
{
	public:
		Winz();
		virtual ~Winz();

		// choose folder dialog
		void on_button_folder_clicked();



	protected:
		Gtk::VBox vBox;
		Gtk::HBox hTopO;
		Gtk::HBox hTop;

		Gtk::VBox hbak, hbuttons, hrestore;
		
		Gtk::Button m_del, m_rest, m_back, m_refresh, m_info;
		
		Glib::ustring u_info, u_rest, u_back, u_del, u_refr;
		Gtk::Label m_bak, m_restore;

		// liststore
		class ModelColumns : public Gtk::TreeModel::ColumnRecord
		{
		public:

		ModelColumns()
		{ add(m_col_id); add(m_col_name); add(m_col_date);}

				Gtk::TreeModelColumn<unsigned int> m_col_id;
				Gtk::TreeModelColumn<Glib::ustring> m_col_name;
				Gtk::TreeModelColumn<Glib::ustring> m_col_date;
		};

		ModelColumns m_Columns_bak, m_Columns_restore;

		Gtk::ScrolledWindow m_ScrolledWindow_bak, m_ScrolledWindow_restore;
		Gtk::TreeView m_TreeView_bak, m_TreeView_restore;
		Glib::RefPtr<Gtk::ListStore> m_refTreeModel_bak, m_refTreeModel_restore;

	
		// Signal handlers:
		virtual void refresh_on_button_clicked();
		virtual void backup_on_button_clicked();
		virtual void restore_on_button_clicked();
		virtual void delete_on_button_clicked();
		virtual void info_on_button_clicked();


		//Child widgets:
		Gtk::VButtonBox m_ButtonBox;
		Gtk::Button m_Button_Folder;
};
